require 'v2_intuity/clients/client'
require 'v2_intuity/request_error'
require 'v2_intuity/response'
require 'v2_intuity/request'
require 'v2_intuity/version'
require 'v2_intuity/query_filters/filter'
require 'v2_intuity/endpoints/endpoint'
require 'v2_intuity/query_filters/sort'
require 'v2_intuity/query_filters/date'
require 'v2_intuity/headers/header'
require 'v2_intuity/resource_filters/resource_filter'

V2_INTUITY_ROOT = File.dirname(File.expand_path(File.dirname(__FILE__))).freeze

Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/clients/*.rb"].each { |file| require file unless file =~ /client.rb/ }
Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/endpoints/*.rb"].each { |file| require file unless file =~ /endpoint.rb/ }
Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/query_filters/*.rb"].each { |file| require file unless file =~ /query_filter.rb|sort.rb|date.rb/ }
Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/headers/*.rb"].each { |file| require file unless file =~ /header.rb/ }
Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/streams/*.rb"].each { |file| require file }
Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/resource_filters/*.rb"].each { |file| require file unless file =~ /resource_filter.rb/ }
Dir["#{V2_INTUITY_ROOT}/lib/v2_intuity/users/*.rb"].each { |file| require file }
