module V2Intuity
  module ResourceFilters # Stream resource query_filters that indicate what kind of data to be returned by stream. These are added to the body of the POST create stream endpoint
    class ResourceFilter
      attr_accessor :name

      FILTERS = { measurement: 'measurement', nutrition: 'nutrition',
                  sleep: 'sleep', summaries: 'summaries',
                  workout: 'workout' }.freeze

      def initialize(options = {})
        @name = options.fetch(options[:name], nil)

        raise 'unsupported filter' unless @name.nil? && FILTERS.key?(@name.to_sym)
      end

      attr_reader :name
    end
  end
end
