module V2Intuity
  class Response
    attr_accessor :request, :response, :errors

    def initialize(attributes = {})
      @request = attributes[:request]
      @response = attributes[:response]
      @errors = []
    end

    def define_response_and_json(response)
      @response = response if @response.nil?
      g_json if @json.nil?
    end

    def headers
      !@response.nil? ? @response.headers : nil
    end

    def body
      !@response.nil? ? @response.body : nil
    end

    def add_errors(error)
      @errors.push(error)
    end

    def success?
      return nil if @response.nil?

      @errors.to_a.empty? ? true : false
    end

    def g_json # store parsed response so we don't have to reparse
      return @json if @json

      json(parse_json(@response.body)) unless @response.to_s.nil?
    end

    def code
      !@response.nil? ? @response.code : nil
    end

    def message
      !@response.nil? ? @response.message : nil
    end

    private

    def parse_json(body) # function that makes sure string
      JSON.parse(body)
    rescue
      nil
    end

    def json(json)
      @json = json
    end
  end
end
